smartgwt 3.0 invalid error drives me crazy

Hey there, using intellij11, patched to latest version.

I am using smartgwt in a project, have been using that for a while. However, i just upgraded to 3.0, i.e. updated my maven files so that intellij changed the dependencies.

I now get red markers *everywhere* saying things like

"Class 'X' is defined in module 'com.smargwt.ChartsNoScript' which is not inherited in module '(my module)'.

All the classes are in the same place in the smartgwt jars as before, my project compiles, builds and runs just fine.

I can't really see what i should do, it seems like a bug to me. Would be great with some input.

6 comments
Comment actions Permalink

Hey, bumping this for truth, i still have the same annoying set-up... anybody have any pointers?

0
Comment actions Permalink

Hello,

which exact version of IDEA do you use? There was a similar problem but it should be fixed in IDEA 11.1.1.

--
Nikolay Chashnikov
Software Developer
JetBrains, Inc
http://www.jetbrains.com
"Develop with pleasure!"

0
Comment actions Permalink

Afraid that's the one i'm using

0
Comment actions Permalink

Could you please attach relevant *.gwt.xml and java files?

--
Nikolay Chashnikov
Software Developer
JetBrains, Inc
http://www.jetbrains.com
"Develop with pleasure!"

0
Comment actions Permalink

Perhaps if you drop me a ping-email? I'd be happy to reply with files.

0
Comment actions Permalink

I don't see an email address in your profile. You can send the files to Nikolay.Chashnikov@jetbrains.com.

--
Nikolay Chashnikov
Software Developer
JetBrains, Inc
http://www.jetbrains.com
"Develop with pleasure!"

0

Please sign in to leave a comment.